Issues

ZF-11177: Use HTTPS by default for all supported Zend_Gdata services

Issue Type: Improvement Created: 2011-03-15T17:45:56.000+0000 Last Updated: 2011-03-15T18:02:41.000+0000 Status: Resolved Fix version(s): - 1.11.5 (07/Apr/11)

Reporter: Trevor Johns (tjohns) Assignee: Trevor Johns (tjohns) Tags: - Zend_Gdata

Related issues: Attachments:

Description

Update Zend_Gdata to use HTTPS by default for all services that fully support it. (Everything except for Blogger, Finance, and YouTube).

This is part of a project to update the official Google Data API client libraries for all languages to use HTTPS.

Comments

Posted by Trevor Johns (tjohns) on 2011-03-15T18:02:41.000+0000

Fixed in r23804 for trunk. Fixed in r23085 for release-1.11 branch.

<pre class="literal">

ZF-11177: Update Zend_Gdata to use HTTPS by default for all services that fully support it.

This enables HTTPS by default for the following services:
- Zend_Gdata_Books
- Zend_Gdata_Calendar
- Zend_Gdata_Docs
- Zend_Gdata_Gbase
- Zend_Gdata_Photos
- Zend_Gdata_Spreadsheets

Notably, Zend_Gdata_YouTube is omitted due to blocking issues on YouTube's end.

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts